/***********************************************************************************************************
 * Copyright (c)  2021 - 2022, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : app_oled.h
 * Description : app_oled driver header file
 * Author(s)   : yanhaihua
 * version     : V1.0
 * Modify date : 2021-09-23
 ***********************************************************************************************************/
#ifndef __APP_OLED_H__
#define __APP_OLED_H__

#include "config.h"

#define APP_MENU_ROW_0					1
#define APP_MENU_LINE_0					9
#define APP_MENU_ROW_1					11
#define APP_MENU_ROW_2					20
#define APP_MENU_ROW_3					29
#define APP_MENU_ROW_4					38
#define APP_MENU_ROW_5					47
#define APP_MENU_ROW_6					56

void app_oled_init(void);

void app_oled_show_str(uint8_t x,uint8_t y,void *data,uint8_t len,uint8_t flag);

void app_oled_display_refresh(void);

void app_oled_display_clear(void);

void app_oled_show_start_up(void);

#endif
